Page MenuHomePhabricator

Allow map tags to get geodata from Kartotherian
Closed, ResolvedPublic

Description

Once Kartotherian is able to return data directly from the OSM database, Kartographer should be able to support it in <mapframe> & <maplink> tags.

Ideas:

  • <mapframe ... show="wikidata:Q12345,wikidata:Q67890"> would add OSM geometries with these wikidata IDs. Alternatively it could be "osmwd:Q..."

Event Timeline

Yurik created this task.May 1 2016, 12:15 AM
Restricted Application added a project: Discovery. · View Herald TranscriptMay 1 2016, 12:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik moved this task from Unsorted to General on the Maps (Kartographer) board.May 1 2016, 12:41 AM
Yurik triaged this task as Low priority.
geraki added a subscriber: geraki.May 25 2016, 4:40 PM

Change 308420 had a related patch set uploaded (by Yurik):
Handle geoshapes ExternalData

https://gerrit.wikimedia.org/r/308420

Change 308420 merged by jenkins-bot:
Handle geoshapes ExternalData

https://gerrit.wikimedia.org/r/308420

JGirault assigned this task to Yurik.Sep 5 2016, 7:17 PM
JGirault added a project: Maps-Sprint.
JGirault moved this task from Backlog to Needs review on the Maps-Sprint board.
Yurik closed this task as Resolved.Sep 5 2016, 7:41 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Given the scope I'd say this is worth announcing. :-)

Yurik added a comment.Sep 6 2016, 7:20 PM

Agree, I will announce it in the Weekly status, as well as tomorrow's CREDIT showcase, and I also plan to email about it wikitech-l & maps-l.